<!--
    Copyright (C) 2005 TAO Consulting Pte Ltd

    This program is free software; you can redistribute it and/or modify it under the terms of the
    GNU Lesser General Public License as published by the Free Software Foundation; either version
    2.1 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
    without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU Lesser General Public License for more details.

    The full text of the license is available at http://www.gnu.org/copyleft/lesser.html
-->
<p:config xmlns:p="http://www.orbeon.com/oxf/pipeline" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:oxf="http://www.orbeon.com/oxf/processors">

	<p:param name="data" type="input"/>
	<p:param name="instance" type="input"/>
	<p:param name="data" type="output"/>

	<!-- Get container type -->
	<p:processor name="oxf:request">
		<p:input name="config">
			<config>
				<include>/request/container-type</include>
			</config>
		</p:input>
		<p:output name="data" id="container-type"/>
	</p:processor>

	<p:choose href="#instance">
		<p:when test="/*/action = 'test' and /*/file != ''  and /*/file[. != '']/@mediatype = 'application/pdf' ">
			<!-- A file was uploaded and we just want to send it back to the browser -->

			<!-- Dereference the xs:anyURI obtained from the instance -->
			<p:processor name="oxf:pipeline">
				<p:input name="config" href="read-uri.xpl"/>
				<p:input name="uri" href="aggregate('uri', #instance#xpointer(string(/*/file)))"/>
				<p:output name="data" id="file"/>
			</p:processor>

			<!-- Send the data to the browser -->
			<p:processor name="oxf:http-serializer">
				<p:input name="data" href="#file"/>
				<p:input name="config">
					<config>
						<!-- application/pdf -->
						<content-type>application/pdf</content-type>
						<force-content-type>true</force-content-type>
						<cache-control>
							<use-local-cache>false</use-local-cache>
						</cache-control>
					</config>
				</p:input>
			</p:processor>

			<!-- Make sure the view is not executed -->
			<p:processor name="oxf:identity">
				<p:input name="data">
					<root xsi:nil="true"/>
				</p:input>
				<p:output name="data" ref="data"/>
			</p:processor>
		</p:when>
                <p:when test=" /*/file !='' and /*/file/@mediatype != 'application/pdf'">
                    <!-- Return an error message -->
                    <p:processor name="oxf:identity">
                        <p:input name="data">
                            <message>The uploaded file must be a PDF file!.</message>
                        </p:input>
                        <p:output name="data" id="message"/>
                    </p:processor>
                    <p:processor name="oxf:identity">
                        <p:input name="data" href="aggregate('result', #message, #container-type)"/>
                        <p:output name="data" ref="data"/>
                    </p:processor>
                </p:when>   
		<p:otherwise>
			<!-- Forward the URL generated by the action and container type to the view -->
			<p:processor name="oxf:identity">
				<p:input name="data" href="aggregate('result', #data, #container-type)"/>
				<p:output name="data" ref="data"/>
			</p:processor>
		</p:otherwise>
	</p:choose>
</p:config>